- Qt 6.10
- Qt Widgets
- C++ Classes
- QStyleOptionTabBarBase
- Qt 6.10.2 Reference Documentation

# QStyleOptionTabBarBase Class

The QStyleOptionTabBarBase class is used to describe the base of a tab bar, i.e. the part that the tab bar usually overlaps with. More...

Header: | `#include <QStyleOptionTabBarBase>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QStyleOption

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionTabBarBase()
| QStyleOptionTabBarBase(const QStyleOptionTabBarBase &other)

## Public Variables

bool | documentMode
QRect | selectedTabRect
QTabBar::Shape | shape
QRect | tabBarRect

## Detailed Description

QStyleOptionTabBarBase contains all the information that QStyle functions need to draw the tab bar base. Note that this is only drawn for a standalone QTabBar (one that isn't part of a QTabWidget).

For performance reasons, there are few member functions and the access to the member variables is direct (i.e., using the `.` or `->` operator). This makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

See also QStyleOption and QTabBar::drawBase().

## Member Type Documentation

### enum QStyleOptionTabBarBase::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabBarBase::Type` | `SO_TabBarBase` | The type of style option provided (SO_TabBarBase for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionTabBarBase::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabBarBase::Version` | `1` | 2

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionTabBarBase::QStyleOptionTabBarBase()

Construct a QStyleOptionTabBarBase, initializing the members variables to their default values.

### QStyleOptionTabBarBase::QStyleOptionTabBarBase(const QStyleOptionTabBarBase &other)

Constructs a copy of other.

## Member Variable Documentation

### bool QStyleOptionTabBarBase::documentMode

This variable holds whether the tabbar is in document mode.

The default value is false;

### QRect QStyleOptionTabBarBase::selectedTabRect

This variable holds the rectangle containing the selected tab

This rectangle is contained within the tabBarRect. The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

### QTabBar::Shape QStyleOptionTabBarBase::shape

This variable holds the shape of the tab bar

The default value is QTabBar::RoundedNorth.

### QRect QStyleOptionTabBarBase::tabBarRect

This variable holds the rectangle containing all the tabs

The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.